Subject: bug#26501: closed (Re: bug#26501: [PATCH 1/1] gnu: mutt: Update to 1.8.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 14 Apr 2017 18:32:02 +0000

Your bug report

#26501: [PATCH 1/1] gnu: mutt: Update to 1.8.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26501: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26501
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26501: [PATCH 1/1] gnu: mutt: Update to 1.8.1.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 14 Apr 2017 14:31:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Apr 14, 2017 at 06:13:11PM +0000, ng0 wrote:
> Leo Famulari transcribed 1.9K bytes:
> > >               (uri (string-append "ftp://ftp.mutt.org/pub/mutt/mutt-"
> > >                                   version ".tar.gz"))
> > 
> > I found that Guix's FTP client is having trouble with this URL. It hangs
> > until it times out; other clients like wget and Firefox work fine.
> 
> Gentoo has two (actually more) URLs in use here:
> SRC_URI="ftp://ftp.mutt.org/pub/mutt/${P}.tar.gz
>   https://bitbucket.org/${PN}/${PN}/downloads/${P}.tar.gz
> 
> The bitbucket is linked on the mutt homepage, we could use that?

Good point!

I had assumed the bitbucket link would provide a different
tarball, because it has its own link to a signature file. But, it
provides the same tarball, so I pushed this update as
7736bae9b72ab0a0bc7d7740a4724396a8dfcab3.

Subject: [PATCH 1/1] gnu: mutt: Update to 1.8.1.
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 14 Apr 2017 13:59:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/mail.scm (mutt): Update to 1.8.1.
---
 gnu/packages/mail.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/mail.scm b/gnu/packages/mail.scm
index 255837198..96ceca5e4 100644
--- a/gnu/packages/mail.scm
+++ b/gnu/packages/mail.scm
@@ -221,14 +221,14 @@ aliasing facilities to work just as they would on normal mail.")
 (define-public mutt
   (package
     (name "mutt")
-    (version "1.8.0")
+    (version "1.8.1")
     (source (origin
              (method url-fetch)
              (uri (string-append "ftp://ftp.mutt.org/pub/mutt/mutt-"
                                  version ".tar.gz"))
              (sha256
               (base32
-               "1axdcylyv0p194y6lj1jx127g5yc74zqzzxdc014cjw02bd1x125"))
+               "1b8dggq5x1b77a9i9250b3jhv2iddfzhr9rix1yfzckdms65mr8b"))
              (patches (search-patches "mutt-store-references.patch"))))
     (build-system gnu-build-system)
     (inputs
-- 
2.12.2